<?php

class PageMeteo extends Page
{
  function Show()
  {
    return('Stav meteostanice');
  }
}

class MeteoStation extends AppModule
{
 
  function __construct($Database, $System)
  {
    parent::__construct($Database, $System);
    $this->Name = 'MeteoStation';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPLv3';
    $this->Description = 'Gathering and presentation of data from network meteostation.';
    $this->Dependencies = array();
  }
  
  function DownloadData($Id, $URL)
  {
    $XmlData = simplexml_load_file($URL);

    $Data = array('MeteoStation' => $Id, 
      'WindSpeed' => trim($XmlData->windspeed),
      'WindDir' => trim($XmlData->winddir),
      'WindGust' => trim($XmlData->windgust),
      'Pressure' => trim($XmlData->pressure),
      'SysTemp' => trim($XmlData->systemp),
      'Temperature' => trim($XmlData->temperature),
      'BarAltitude' => trim($XmlData->baraltitude),
      'WindChill' => trim($XmlData->windchill),
      'RelHumidity' => trim($XmlData->relhumidity),
      'AbsHumidity' => trim($XmlData->abshumidity),
      'DewPoint' => trim($XmlData->dewpoint)
    );
    $this->Database->insert('MeteoStationMeasure', array(
      'Time' => TimeToMysqlDateTime(time()), 'MeteoStation' => $Data['MeteoStation'], 
      'WindSpeed' => $Data['WindSpeed'], 'WindDir' => $Data['WindDir'], 
      'WindGust' => $Data['WindGust'], 'Pressure' => $Data['Pressure'], 
      'SysTemp' => $Data['SysTemp'], 'Temperature' => $Data['Temperature'],
      'BarAltitude' => $Data['BarAltitude'], 'WindChill' => $Data['WindChill'],
      'RelHumidity' => $Data['RelHumidity'], 'AbsHumidity' => $Data['AbsHumidity'],
      'DewPoint' => $Data['DewPoint']));
  }
  
  function DownloadAll()
  {
    $DbResult = $this->Database->select('MeteoStation', '*');
    while($DbRow = $DbResult->fetch_assoc())
    {
      $this->DownloadData($DbRow['Id'], $DbRow['URL']);
    }
  }
  
  function Install()
  {
  }
  
  function Uninstall()
  {     
  }
  
  function Start()
  {
    parent::Start();
    $this->System->RegisterPage('meteo', MeteoPage);
  }  
  
  function Stop()
  { 
  }
}

?>