ALTER TABLE SystemVersion CHANGE COLUMN Rev464 Rev468 bit;

CREATE TABLE IF NOT EXISTS `MeteoStation` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) NOT NULL,
  `URL` varchar(255) NOT NULL,
  `Enabled` tinyint(1) NOT NULL,
  `Period` int(11) NOT NULL,
  `Model` varchar(255) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `MeteoStationMeasure` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Time` datetime NOT NULL,
  `MeteoStation` int(11) NOT NULL,
  `WindSpeed` float NOT NULL,
  `WindDir` float NOT NULL,
  `WindGust` float NOT NULL,
  `Pressure` float NOT NULL,
  `SysTemp` float NOT NULL,
  `Temperature` float NOT NULL,
  `BarAltitude` float NOT NULL,
  `WindChill` float NOT NULL,
  `RelHumidity` float NOT NULL,
  `AbsHumidity` float NOT NULL,
  `DewPoint` float NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `MeteoStation` (`MeteoStation`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE `MeteoStationMeasure`
  ADD CONSTRAINT `MeteoStationMeasure_ibfk_1` FOREIGN KEY (`MeteoStation`) REFERENCES `MeteoStation` (`Id`);
